Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064324 - Support connections that has interface-name option specified
Summary: Support connections that has interface-name option specified
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openlmi-networking
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Radek Novacek
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-12 12:32 UTC by Radek Novacek
Modified: 2016-12-01 00:32 UTC (History)
3 users (show)

Fixed In Version: openlmi-networking-0.2.2-3.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:20:57 UTC


Attachments (Terms of Use)

Description Radek Novacek 2014-02-12 12:32:38 UTC
NetworkManager supports creating connections that has assigned device identified by either MAC address or device name.

OpenLMI now only supports the identification by MAC address now and lacks the support for device name.

Comment 1 Radek Novacek 2014-02-12 14:55:24 UTC
Fixed in openlmi-networking-0.2.2-3.el7.

Comment 4 Radek Novacek 2014-04-17 11:23:57 UTC
This is not about virtual devices. When creating new ethernet connection, one can either specify MAC address of the device that will be used or its name directly.

You can verify this running this two commands:

nmcli connection add type ethernet con-name Test1 mac <MAC address of eth1>
nmcli connection add type ethernet ifname eth1 con-name Test2

and verifying that both LMI_IPAssignmentSettingData instances are associated with eth1 LMI_IPNetworkConnection.

Comment 5 Vladimir Benes 2014-04-17 11:44:32 UTC
I can successfully up connections linked with device via both mac and device name. Test case added.

Comment 6 Ludek Smid 2014-06-13 09:20:57 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.